Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet.context
Interface ConfigurablePortletApplicationContext

All Superinterfaces:
  ApplicationContext, ApplicationEventPublisher, BeanFactory, ConfigurableApplicationContext, EnvironmentCapable, HierarchicalBeanFactory, Lifecycle, ListableBeanFactory, MessageSource, ResourceLoader, ResourcePatternResolver, WebApplicationContext

All Known Implementing Classes:
  AbstractRefreshablePortletApplicationContext, StaticPortletApplicationContext, XmlPortletApplicationContext

    public interface ConfigurablePortletApplicationContext

extends WebApplicationContext, ConfigurableApplicationContext

Interface to be implemented by configurable portlet application contexts. Supported by `FrameworkPortlet`.

Note: The setters of this interface need to be called before an invocation of the `ConfigurableApplicationContext.refresh()` method inherited from `ConfigurableApplicationContext`. They do not cause an initialization of the context on their own.

Since:
  2.0
Author:
  Juergen Hoeller, William G. Thompson, Jr., John A. Lewis
See Also:
  `ConfigurableApplicationContext.refresh()`, `ContextLoader.createWebApplicationContext(javax.servlet.ServletContext)`, `FrameworkPortlet.createPortletApplicationContext(org.springframework.context.ApplicationContext)`, `ConfigurableWebApplicationContext`

Field Summary
`static java.lang.String` | `APPLICATION_CONTEXT_ID_PREFIX` Prefix for ApplicationContext ids that refer to portlet name.
`static java.lang.String` | `PORTLET_CONFIG_BEAN_NAME` Name of the PortletConfig environment bean in the factory.
`static java.lang.String` | `PORTLET_CONTEXT_BEAN_NAME` Name of the PortletContext environment bean in the factory.

Fields inherited from interface org.springframework.web.context.WebApplicationContext
`CONTEXT_ATTRIBUTES_BEAN_NAME, CONTEXT_PARAMETERS_BEAN_NAME, ROOT_WEB_APPLICATION_CONTEXT_ATTRIBUTE, SCOPE_APPLICATION, SCOPE_GLOBAL_SESSION, SCOPE_REQUEST, SCOPE_SESSION, SERVLET_CONTEXT_BEAN_NAME`

Fields inherited from interface org.springframework.context.ConfigurableApplicationContext
`CONFIG_LOCATION_DELIMITERS, CONVERSION_SERVICE_BEAN_NAME, ENVIRONMENT_BEAN_NAME, LOAD_TIME_WEAVER_BEAN_NAME, SYSTEM_ENVIRONMENT_BEAN_NAME, SYSTEM_PROPERTIES_BEAN_NAME`

Fields inherited from interface org.springframework.beans.factory.BeanFactory
`FACTORY_BEAN_PREFIX`

Fields inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`CLASSPATH_ALL_URL_PREFIX`

Fields inherited from interface org.springframework.core.io.ResourceLoader
`CLASSPATH_URL_PREFIX`

Method Summary
`java.lang.String[]` | `getConfigLocations()` Return the config locations for this web application context, or `null` if none specified.
`java.lang.String` | `getNamespace()` Return the namespace for this web application context, if any.
`javax.portlet.PortletConfig` | `getPortletConfig()` Return the PortletConfig for this portlet application context, if any.
`javax.portlet.PortletContext` | `getPortletContext()` Return the standard Portlet API PortletContext for this application.
`void` | `setConfigLocation(java.lang.String configLocation)` Set the config locations for this portlet application context in init-param style, i.e.
`void` | `setConfigLocations(java.lang.String[] configLocations)` Set the config locations for this portlet application context.
`void` | `setNamespace(java.lang.String namespace)` Set the namespace for this portlet application context, to be used for building a default context config location.
`void` | `setPortletConfig(javax.portlet.PortletConfig portletConfig)` Set the PortletConfig for this portlet application context.
`void` | `setPortletContext(javax.portlet.PortletContext portletContext)` Set the PortletContext for this portlet application context.

Methods inherited from interface org.springframework.web.context.WebApplicationContext
`getServletContext`

Methods inherited from interface org.springframework.context.ConfigurableApplicationContext
`addApplicationListener, addBeanFactoryPostProcessor, close, getBeanFactory, getEnvironment, isActive, refresh, registerShutdownHook, setEnvironment, setId, setParent`

Methods inherited from interface org.springframework.context.ApplicationContext
`getAutowireCapableBeanFactory, getDisplayName, getId, getParent, getStartupDate`

Methods inherited from interface org.springframework.beans.factory.ListableBeanFactory
`containsBeanDefinition, findAnnotationOnBean, getBeanDefinitionCount, getBeanDefinitionNames, getBeanNamesForType, getBeanNamesForType, getBeansOfType, getBeansOfType, getBeansWithAnnotation`

Methods inherited from interface org.springframework.beans.factory.HierarchicalBeanFactory
`containsLocalBean, getParentBeanFactory`

Methods inherited from interface org.springframework.beans.factory.BeanFactory
`containsBean, getAliases, getBean, getBean, getBean, getBean, getType, isPrototype, isSingleton, isTypeMatch`

Methods inherited from interface org.springframework.context.MessageSource
`getMessage, getMessage, getMessage`

Methods inherited from interface org.springframework.context.ApplicationEventPublisher
`publishEvent`

Methods inherited from interface org.springframework.core.io.support.ResourcePatternResolver
`getResources`

Methods inherited from interface org.springframework.core.io.ResourceLoader
`getClassLoader, getResource`

Methods inherited from interface org.springframework.context.Lifecycle
`isRunning, start, stop`

Field Detail

### APPLICATION_CONTEXT_ID_PREFIX

    static final java.lang.String APPLICATION_CONTEXT_ID_PREFIX

  Prefix for ApplicationContext ids that refer to portlet name.

### PORTLET_CONTEXT_BEAN_NAME

    static final java.lang.String PORTLET_CONTEXT_BEAN_NAME

  Name of the PortletContext environment bean in the factory.

  See Also:
    `PortletContext`, Constant Field Values

### PORTLET_CONFIG_BEAN_NAME

    static final java.lang.String PORTLET_CONFIG_BEAN_NAME

  Name of the PortletConfig environment bean in the factory.

  See Also:
    `PortletConfig`, Constant Field Values

Method Detail

### setPortletContext

    void setPortletContext(javax.portlet.PortletContext portletContext)

  Set the PortletContext for this portlet application context.

  Does not cause an initialization of the context: refresh needs to be called after the setting of all configuration properties.

  See Also:
    `ConfigurableApplicationContext.refresh()`

### getPortletContext

    javax.portlet.PortletContext getPortletContext()

  Return the standard Portlet API PortletContext for this application.

### setPortletConfig

    void setPortletConfig(javax.portlet.PortletConfig portletConfig)

  Set the PortletConfig for this portlet application context.

  See Also:
    `ConfigurableApplicationContext.refresh()`

### getPortletConfig

    javax.portlet.PortletConfig getPortletConfig()

  Return the PortletConfig for this portlet application context, if any.

### setNamespace

    void setNamespace(java.lang.String namespace)

  Set the namespace for this portlet application context, to be used for building a default context config location.

### getNamespace

    java.lang.String getNamespace()

  Return the namespace for this web application context, if any.

### setConfigLocation

    void setConfigLocation(java.lang.String configLocation)

  Set the config locations for this portlet application context in init-param style, i.e. with distinct locations separated by commas, semicolons or whitespace.

  If not set, the implementation is supposed to use a default for the given namespace.

### setConfigLocations

    void setConfigLocations(java.lang.String[] configLocations)

  Set the config locations for this portlet application context.

  If not set, the implementation is supposed to use a default for the given namespace.

### getConfigLocations

    java.lang.String[] getConfigLocations()

  Return the config locations for this web application context, or `null` if none specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD